#!/bin/bash

input=${1:-'hathi_full_20190301.txt.gz'}
output=${2:-'hathi_brief_20190301.txt'}

echo ""
echo "===="
echo "  Script to extract Format (and related fields, such as copyright)"
echo "  from HathiTrust tab-delimited metadata dump"
echo "===="

echo ""
echo "Reading in  : $input"
echo "Writing out : $output"
echo ""

echo "Processing ..."
zcat "$input" \
     | awk -F '\t' '{print $1 "\t" $3 "\t" $20 "\t" $24} ' \
     > "$output"

echo "... Done"
echo ""
